package com.mdd.admin.validate.setting;

import com.mdd.admin.vo.setting.SettingProtocolObjectVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

@ApiModel("政策协议设置参数")
public class SettingProtocolValidate implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("服务协议")
   private SettingProtocolObjectVo service;
   @ApiModelProperty("隐私协议")
   private SettingProtocolObjectVo privacy;

   public SettingProtocolObjectVo getService() {
      return this.service;
   }

   public SettingProtocolObjectVo getPrivacy() {
      return this.privacy;
   }

   public void setService(SettingProtocolObjectVo service) {
      this.service = service;
   }

   public void setPrivacy(SettingProtocolObjectVo privacy) {
      this.privacy = privacy;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof SettingProtocolValidate)) {
         return false;
      } else {
         SettingProtocolValidate other = (SettingProtocolValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$service = this.getService();
            Object other$service = other.getService();
            if (this$service == null) {
               if (other$service != null) {
                  return false;
               }
            } else if (!this$service.equals(other$service)) {
               return false;
            }

            Object this$privacy = this.getPrivacy();
            Object other$privacy = other.getPrivacy();
            if (this$privacy == null) {
               if (other$privacy != null) {
                  return false;
               }
            } else if (!this$privacy.equals(other$privacy)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof SettingProtocolValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $service = this.getService();
      result = result * 59 + ($service == null ? 43 : $service.hashCode());
      Object $privacy = this.getPrivacy();
      result = result * 59 + ($privacy == null ? 43 : $privacy.hashCode());
      return result;
   }

   public String toString() {
      return "SettingProtocolValidate(service=" + this.getService() + ", privacy=" + this.getPrivacy() + ")";
   }
}
